from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XPagePrintable(XInterface, Protocol):
    def getPagePrintSettings(self) -> list[PropertyValue]: ...
    def setPagePrintSettings(self, aSettings: PropertyValue>) -> None: ...
